This is a view of the network Address Resolution Protocol cache for the system (tested on IPv4 only).

Host addresses are looked up and converted to official names when possible.

Hardware addresses are decoded, with a full name (from the /etc/ethers file if present, read once when the application is started), or with the manufacturer name for the first 3 bytes (from the manuf.txt file in the arp module sub directory).
Note: you may update the manuf.txt file yourself by opening it from the http://www.ethereal.com/distribution/ page and saving it as a text file under the manuf.txt name in the arp module sub directory (no editing needed).

Module options:

- -C (only available for ssh on UNIX client)
  Whether data compression is used on all data between client and server (useful on slow connections, see ssh manual for detailed information).
- -i file (only available for ssh on UNIX client)
  Selects a file from which the identity (private key) for authentication is read (useful if an authentication agent is not running). It must not be protected by a passphrase.
- -n (--numeric)
  display numerical addresses instead of trying to determine symbolic host or network names.
- -r (--remote) [[rsh|ssh]://][user@]host
  remote monitoring using user as logname on remote host host (rsh or ssh facilities must be properly setup). If user is not specified, current user is used as logname on remote host. The protocol is either ssh or rsh (used by default). The module title is set to arp(host).
  When there is a communication error with the remote host, all rows disappear and the displayed table becomes empty. A descriptive error message is also generated in such a case.

Notes on remote monitoring:

- Using ssh is strongly recommended, as rsh, while being much less secure is also less efficient, as it requires creating a new session for each poll.
- On a Windows client, you must use the putty software package (see install.txt), which does not support rsh in non interactive sessions. Consequently, the -r (--remote) ssh://session syntax is required to remove any confusion (where session has been added to the running pageant application).

Examples:

    $ moodss arp --numeric
    $ moodss -- arp -n
    $ moodss arp -r jdoe@foo.bar.com
    $ moodss arp --remote rsh://jdoe@foo.bar.com
    $ moodss arp -r ssh://jdoe@foo.bar.com
    $ moodss arp --remote foo.bar.com